package fileManager

import (
	"github.com/gin-gonic/gin"
	"go.uber.org/zap"
	"log-server/global"
	"log-server/model/common/response"
)

type ApiFileType struct {
}

func (r *ApiFileType) GetAllFileType(c *gin.Context) {

	if list, err := ServiceFileType.GetAllFileType(); err != nil {
		global.GVA_LOG.Error("获取失败!", zap.Error(err))
		response.FailWithMessage("获取失败", c)
	} else {
		//响应结果
		response.OkWithDetailed(response.PageResult{
			List: list,
		}, "获取成功", c)
	}
}
